Kerbal Space Program - Bug #9717

Ship auto explodes at 6km. (large parts ship!) (craft file corruption issue)
05/11/2016 10:45 PM - Arugela

Status: Closed Start date: 05/11/2016
Severity: Normal % Done: 100%
Assignee:

Category: Physics

Target version:

Version: 1.1.2 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion:

Description

To reproduce simply launch the ship and fly straight up to 6km. It should blow up at exactly 6k. The portraits all go to static like at
launch and the ship and environment almost load like they were just put on the runway again. This occurs 99% percent of the time
for me. It simply rips itself apart. Like the link between all parts in the ship simply broke down. Someone mentioned double free error
as a possibility.

I'll give the smaller version of the ship(2567 parts). It should take about 15 minutes to reach 6km. This ship seems to bring this issue
out. | seem to get one lucky launch from the runway and one from the launchpad at a random interval and it never works again.

Also, after this bug occurs anything put on the runway also breaks apart instantly on the runway on load until you restart the game(or
as much as | have tested which seems to be everything). Another interesting and consistent part of the bug.

There was also another aspect this brought out once for me that | encountered once in 1.04 or 1.05 that | noted in a thread once as
my favorite bug. If you leave the game in map mode when the ship goes over the 6km mark it will make the ship explode while you
are looking at the zoomed out map mode looking at kerbin. Or it did for me on one occasion. It might be related.

Sorry for a lack of video on this. | don't have the means to make one or it might make this a bit easier given the parts count. Get
someone with a good computer to do it. The performance is drastically better since pre 1.1 though! The craft load time is a little slow
though. It will black the screen and take several minutes to load.

Stats:

KSP v1.1.2.1260 64bit

Fedora 22 (unsure of kernel. latest | think. Problem spans updates so far.)

Phenom Il 1100t

560ti Fermi 1gb (361.28 driver)

8gigs 1600 ram

SSD

Playerlog:

Player log with the most recent explosions has been uploaded via the upload tool as an attachment.

Craft:
[[https://www.dropbox.com/s/3juocopeyuk2ny8m/The%200rion%20V4%201_1_2%20v2.craft?dI=0]] <- file to large for upload!

Pic:
[[http://i1262.photobucket.com/albums/ii613/PicsMe101/KSP/snapshot9 zpsglbtj3ge.png]]

Thread:
I

http:/forum.kerbalspaceprogram.com/index.php?/topic/138905-the-orion-and-the-kraken-6000m-auto-explosion/#comment-2574702

|
| hope | submitted this correctly. | always do a bad job at bug reports on linux forums and get yelled at. 8\

History

#1 - 05/11/2016 11:54 PM - Arugela

I may have set the priority too high. It should probably be Normal or High. This does not affect the default ship. I'm not certain what part could is
needed to cause this outside of this ship. I'm also not sure if it happens for other people as it's hard to find people to test this.

#2 - 05/12/2016 12:36 AM - Arugela

Here is a different ship file with some instruction on how to fly it. (located in the ships description in the VAB etc.

Instructions:

To reporduce bug:

1. After laoding turn on RCS and SAS.

2. If desired hit Abort to empty ore tanks.

3. Hit 1,2,3 to turn on main engines and max out throttle to take off.
4. Wait to hit altitude and see the ship explode.

The F3 log may or may not exist.
File:

[[https://www.dropbox.com/s/tpfqfi8d87w6uht/The%200rion%20V4%201_1_2%20v2%20Bug%20version.craft?dl=0]] <- Same craft as in the previous
entry but with the above text in the description. | forgot that this version does not have the hotkey in the description like | normally put in this vessel.

#3 - 05/12/2016 12:42 AM - smjjames
- Severity changed from Critical to Normal
Just to check, are you able to reproduce without mods?

Also, could you send the full (you know, the origional size) craft? I've used 4k+ part ships on this comp before in pre-release (and more recently), so,
I'm pretty sure | can handle it. :)

edit: Gonna start checking this out though. edit2: I'll also grab the two from the forum post.

#4 - 05/12/2016 01:02 AM - Arugela

[[https://www.dropbox.com/s/5ice9vz{2bim71w/The Orion V4 1_1_2 v2 boosters.craft?dI=0]] <- boostered version (3213 parts) though it oddly gets an
extra part according to the map view compared to the VAB/SPH. | think all other versions of this ship do also.

This is an unmodded ship in a fresh install. the only thing | did after the fresh install was import the save file because | have things in it | like to keep.
Like an old version of this ship landed on minmus. There are only 13 flights or so in the whole save. And | only kept the ships | needed for testing this
basically.

Edit: to fly the boostered version above. Don't turn on the 1,2,3 engines. Just use spacebare to activate the booster sections. If you use the
engines(execpt maybe 2, which is insufficient to help regardless.) it will blow itself up with heat damage.

#5 - 05/12/2016 01:14 AM - smjjames
Arugela wrote:

[[https://www.dropbox.com/s/5ice9vzf2bim71w/The Orion V4 1_1_2 v2 boosters.craft?d|=0]] <- boostered version (3213 parts) though it oddly
gets an extra part according to the map view compared to the VAB/SPH. | think all other versions of this ship do also.

This is an unmodded ship in a fresh install. the only thing | did after the fresh install was import the save file because | have things in it | like to
keep. Like an old version of this ship landed on minmus. There are only 13 flights or so in the whole save. And | only kept the ships | needed for
testing this basically.

Edit: to fly the boostered version above. Don't turn on the 1,2,3 engines. Just use spacebare to activate the booster sections. If you
use the engines(execpt maybe 2, which is insufficient to help regardless.) it will blow itself up with heat damage.
Noted and got the craft. Checking out the V3 one with boosters atm. | notice that you've clipped things pretty heavily, which could be a cause, but if it

holds on launch, it shouldn't explode in flight, right?

edit: wait, how do | launch the v3 one with boosters? | didn't see instructions for that one checks back edit2: Oh | see, it's the same as the one you
posted above. Or rather the one further up, but I've got it.

#6 - 05/12/2016 01:37 AM - smjjames
- Status changed from New to Confirmed

- % Done changed from 0 to 10
- Platform Windows added

Confirmed with the V3 boostered one. Going to try and see if it has anything to do with the sound barrier. edit: Thwarted by the ship keeping
exploding on launch.

#7 - 05/12/2016 01:53 AM - Arugela
To stop the explosions on runway restart the game and it should stop.

Could you test if other ships blow up on the runway after this. | think | tested it but | forget for certain if everything else does too. | wanted to recheck
that. (I'll be doing the same in a few minutes when my ship explodes again.)

Edit: | finally got an F3 log on the explosion. It starts with structual linkage from the Radiator panel large | mentioned in the thread. The part | can't
remove without the file becoming corrupt after saving and reloading the ship in the VAB. Maybe it is related afterall.

I'm reverting back to the VAB and loading and launching a different vessel to see if it also explodes on the runway before restarting the game.

Revert to VAB from launch after bug and relaunch same ship: Explodes again.
Revert to VAB from launch after but and relaunch different(stock) ship: *Does not explode!

***I'm starting to think this has to do with that part in the other thread. there are two Large radiator panels on the nose of the ship. One or both of them
removed from the ship/saved/ then reloaded will permanently corrupt the .craft file as per the other thread. This is the first part that explodes. | wonder
if it is causing the issue somehow.

[[http://forum.kerbalspaceprogram.com/index.php?/topic/139421-ye-olde-file-corruption-issue/#comment-2573577]]

If looking for this use the V4 craft. The version 3 craft is it one of the top radiator panels below the neck of the ship, but it will be hard to find. In the V4
one | only have it and one copy of it directly behind the drills attached to the bottoms of the MK3 cockpits at the front of the ship. Those parts are
corrupted or something.

#8 - 05/12/2016 02:02 AM - smjjames
- File KSP.log added
- File output_log.zip added

Arugela wrote:

To stop the explosions on runway restart the game and it should stop.

Could you test if other ships blow up on the runway after this. | think | tested it but | forget for certain if everything else does too. | wanted to
recheck that. (I'll be doing the same in a few minutes when my ship explodes again.)

Edit: | finally got an F3 log on the explosion. It starts with structual linkage from the Radiator panel large | mentioned in the thread. The part |
can't remove without the file becoming corrupt after saving and reloading the ship in the VAB. Maybe it is related afterall.

Post:

[l

http://forum.kerbalspaceprogram.com/index.php?/topic/138905-the-orion-and-the-kraken-6000m-auto-explosion/&do=findComment&comment=2
576393]]

I'm reverting back to the VAB and loading and launching a different vessel to see if it also explodes on the runway.

Uploading the logs from that instance of it.

Regarding the radiator thing, in the first try, | noticed that the first thing to go was 'radia..' something, but | thought it was radial something as it was
obscured by me having the debug screen partially offscreen. Also, after those two launch explosions, | tried a stock vessel on the pad (which was
fine), and then tried the v4 bugged one thinking that maybe it won't explode.

I'll check the runway the next time | hit that bug.

#9 - 05/12/2016 02:12 AM - Arugela

That was a typo. | meant launchpad on that occasion. | intermix those words occasionally.

#10 - 05/12/2016 02:22 AM - smjjames

Currently trying some things. Even turning on unbreakable joints doesn't stop it from exploding on launch.
#11 - 05/12/2016 02:27 AM - smjjames
- File screenshot19.png added
- File screenshot20.png added

Tried re-launching it with hacked gravity, no crash damage, and unbreakable joints and got kraken attacked horribly. Edit: Output log is in excess of
150mb, and KSP is laggy as all hell. Going to spare everybody the horror of that one.....

#12 - 05/12/2016 04:44 AM - smjjames

- File screenshot25.png added

- File KSP.log added

- File output_log (2).zip added

- File output_log (3).zip added

- Subject changed from Ship auto explodes at 6km. (large parts ship!) to Ship auto explodes at 6km. (large parts ship!) (craft file corruption issue)

Theres also some other part that, when removed, causes KSP to spaz out on launch. I'm currently trying to investigate that. Though I'll finish that in
the morning. Also, had to force quit KSP because it stopped responding.

The missing parts in the screenshot is normal because | did remove them myself in the editor.

#13 - 05/12/2016 10:31 PM - Arugela
https://www.dropbox.com/s/zgnhw250iighmad/The Orion V4 1_1_2 v2 ParttestRedGreen.craft?dl=0

The remnants of the Orion v4 1.1.2 v2 vessel. It is down to just the offending radiator panel and two other parts. It demonstrates something the part is
doing by taking the adapter part on and off. If the radiator is removed and the file saved and reloaded the file will again be corrupt!

The pics are in the forum thread about it. | can't seem to get the pics to load in this one.

#14 - 05/12/2016 11:17 PM - smjjames

- File output_log.txt added

- File KSP.log added

- File flight capable reduced orion.craft added
- File screenshot27.png added

- File screenshot28.png added

- File screenshot29.png added

| tested with a slightly modified flight capable version of that reduced craft (just a MK3 rocket fuel short tank, mammoth engine, and some BigS fins.
Plus infinite fuel on) and the explosion is reproducible here. However, it seems to now be a 'collides into <building>' thing.

Other things | found:
With this one, when | revert to launch, the rocket below the command pod vanishes, no exceptions though.

After the explosion, I've noticed that sometimes a strange floating bar appears. It probably depends on the pod and the radiator surviving though.
Also, it seems to have given me a huge kick with the one in the screenshot, not sure.

#15 - 05/13/2016 04:38 AM - Arugela

Solution found:

1.Find the offending part

2.use a text editor to find all references to the part(this would be the entire Part<> and all link references. Link references would likely be in the Part<>
of the mother part.

3.Save file.

Note: on the smaller ship at some point gained a double link reference on the mother part to the same part. I'm not sure how this occurs but this
showed that the part reference was screwing up on any attempt to remove it. | believe claw was referring to this in the main thread. After realizing that
the mother part also had references to the part | removed them along with the part<> entry itself.(l was previously unaware of the link reference on the
part it was attached and had attempted to only remove the Part<> section of the part causing the error to persist even after attempting to remove it
simply via editing the file.) The issue now seems to be resolved.

Finalcraft:
https://www.dropbox.com/s/j3y4926w3qgiuhc/The%200rion%20V4%201_1_2%20v2%20boostersfixed.craft?dI=0

#16 - 05/13/2016 01:43 PM - smjjames
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

I'll mark as resolved then. :)

#17 - 07/17/2016 09:20 AM - TriggerAu

- Status changed from Resolved to Closed

Files

NewPlayer.log 818 KB 05/11/2016 Arugela
KSP.log 2.55 MB 05/12/2016 smjjames
output_log.zip 205 KB 05/12/2016 smjjames
screenshot19.png 1.3 MB 05/12/2016 smjjames
screenshot20.png 1.3 MB 05/12/2016 smjjames
screenshot25.png 220 KB 05/12/2016 smjjames
KSP.log 3.56 MB 05/12/2016 smjjames
output_log (2).zip 84.9 KB 05/12/2016 smjjames
output_log (3).zip 110 KB 05/12/2016 smjjames
output_log.ixt 1.31 MB 05/12/2016 smjjames
KSP.log 587 KB 05/12/2016 smjjames
flight capable reduced orion.craft 25.9 KB 05/12/2016 smjjames
screenshot27.png 835 KB 05/12/2016 smjjames
screenshot28.png 841 KB 05/12/2016 smjjames
screenshot29.png 643 KB 05/12/2016 smjjames
